FINDMNT(8)

NAZWA
findmnt - odnajduje system plików

SKŁADNIA

findmnt [opcje]

findmnt [opcje] urządzenie|punkt-montowania

findmnt [opcje] [--source] urządzenie [--target ścieżka|--mountpoint punkt-montowania]

OPIS

findmnt wypisze listę wszystkich zamontowanych systemów plików lub poszuka systemu plików. Polecenie findmnt może przeszukać pliki /etc/fstab, /etc/mtab lub /proc/self/mountinfo. Jeśli nie poda się urządzenia ani punktu-montowania, pokazywane są wszystkie systemy plików.

Urządzenie można określić za pomocą: nazwy urządzenia, numerów głównego:pobocznego (major:minor), etykiety lub UUID-u systemu plików albo etykiety lub UUID-u partycji. Proszę zauważyć, że findmnt naśladuje zachowanie mount(8) pod tym względem, że nazwa urządzenia może zostać zinterpretowana jako punkt montowania (i na odwrót), jeśli nie poda się opcji --target, --mountpoint lub --source.

Opcja wiersza poleceń --target przyjmuje dowolny plik lub katalog, a findmnt wyświetla następnie system plików dla podanej ścieżki.

Domyślnie, polecenie wypisuje wszystkie zamontowane systemy plików w formacie drzewiastym. Domyślne wyjście programu może się zmienić. Jeśli to możliwe, należy zatem unikać używania domyślnego wyjścia w swoich skryptach. Proszę zawsze jawnie definiować oczekiwane kolumny za pomocą opcji --output lista-kolumn w środowiskach, gdzie wymagane jest stabilne wyjście.

Relacja pomiędzy urządzeniami blokowymi a systemami plików nie zawsze jest jak jeden do jednego. System plików może używać większej liczby urządzeń blokowych. Jest to powód, dla którego findmnt udostępnia kolumny SOURCE i SOURCES (odpowiednio: źródło i źródł*a*). Kolumna SOURCES wyświetla wszystkie urządzenia, gdzie można było znaleźć ten sam UUID systemu plików (lub inny znacznik podany w fstab przy wykonywaniu z opcją --fstab i --evaluate).

OPCJE

-A, --all
    Wyłącza wszelkie wbudowane filtry i wypisuje wszystkie systemy plików.

-a, --ascii
    Do formatowania drzewa używa znaków ascii.

-b, --bytes
    Wypisuje rozmiary w bajtach, zamiast w formacie czytelnym dla ludzi.

    Domyślnie jednostką w której pokazywane są rozmiary jest bajt, a przedrostki jednostek są wielokrotnościami 2^10 (1024). Symbole jednostek są pokazywane w skróconej formie, aby poprawić czytelność, poprzez pokazanie jedynie pierwszej litery np. "1 KiB" i "1 MiB" stają się odpowiednio: "1 K" i "1 M", tj. cząstka "iB", będąca częścią nazw jednostek, jest celowo pomijana.

-C, --nocanonicalize
    Zuepłnie nie normalizuje ścieżek. Opcja ta wpływa na porównywanie ścieżek i ustalanie znaczników (LABEL, UUID itp.).

-c, --canonicalize
    Normalizuje wszystkie wypisywane ścieżki.

-D, --df
    Imituje wyjście programu df(1). Opcja jest równoważna podaniu -o SOURCE,FSTYPE,SIZE,USED,AVAIL,USE%,TARGET, lecz wyłącza wszelkie pseudosystemy plików. Aby wypisać wszyskie systemy plików, proszę podać --all. Zob. też opcje -I, --dfi.

-d, --direction kierunek
    Kierunek wyszukiwania, może przyjąć wartość forward (naprzód) lub backward (wstecz).

-e, --evaluate
    Konwertuje wszystkie znaczniki (LABEL, UUID, PARTUUID lub PARTLABEL) na odpowiednie nazwy urządzeń w kolumnie SOURCE. Jest to nietypowa sytuacja, lecz ten sam znacznik może być zduplikowany (użyty dla wielu urządzeń). Z tego powodu istnieje kolumna SOURCES (l.mn.). Kolumna ta wyświetla wielowierszową kolumnę ze wszystkimi urządzeniami, dla których libblkid wykryła dany znacznik. Opcja ta ma sens tylko w przypadku fstab.

--hyperlink[=tryb]
    Wypisuje ścieżki punktów montowań jako odnośniki na terminalu. Tryb można ustawić na "always" (zawsze), "never" (nigdy) lub "auto". Opcjonalny argument kiedy można ustawić na "auto", "never" lub "always". Jeśli pominie się argument kiedy, to domyślnie przyjmuje wartość "auto". Ustawienie "auto" oznacza, że odnośniki będą używane tylko wtedy, gdy wyjściem jest terminal.

-F, --tab-file ścieżka
    Szuka w alternatywnym pliku. Opcja użyta razem z --fstab, --mtab lub --kernel, przesłoni domyślne ścieżki. Jeśli poda się ją więcej niż raz, wyłączane jest wyjście drzewiaste (zob. opcja --list).

-f, --first-only
    Wypisuje tylko pierwszy pasujący system plików.

-H, --list-columns
    Wypisuje dostępne kolumny, w połączeniu z --json lub --raw daje wynik w formacie czytelnym maszynowo.

-I, --dfi
    Imituje wyjście programu df(1) z jego opcją -i. Opcja jest równoważna podaniu -o SOURCE,FSTYPE,INO.TOTAL,INO.USED,INO.AVAIL,INO.USE%,TARGET, lecz wyłącza wszelkie pseudosystemy plików. Aby wypisać wszyskie systemy plików, proszę podać --all.

-i, --invert
    Odwraca sens dopasowywania.

--id liczba
    Wybiera system plików za pomocą identyfikatora węzła montowania.

--uniq-id liczba
    Wybiera system plików za pomocą 64-bitowego identyfikatora węzła montowania, do łącznego stosowania z opcją --kernel=listmount.

-J, --json
    Używa formatu wyjściowego JSON.

-k, --kernel[=metoda]
    Odczytuje informacje o systemach plików z jądra. Jest to domyślne wyjście. Format jest drzewiasty i zawiera wyłącznie opcje montowania którymi zajmuje się jądro (zob. też --mtab).

    The optional argument method is supported only for the long variant (--kernel). The short variant (-k) defaults to the mountinfo method for backward compatibility. The supported methods can be either:

        • mountpoint - to domyślna metoda, która odczytuje dane z pliku /proc/self/mountinfo.

        • listmount - to EKSPERYMENTALNA metoda, która korzysta z wywołań systemowych listmount() i statmount() do utworzenia tablicy montowań. Wyjście może nie zawierać wszystkich szczegółów na temat węzłów montowań (np. obecnie brakuje źródła - SOURCE).

-l, --list
    Używa formatu wyjściowego listy. Ten format wyjściowy jest używany automatycznie, jeśli wyjście jest ograniczone opcją -t, -O, -S lub -T, a nie jest używana opcja --submounts lub gdy podano więcej niż jeden plik źródłowy (opcja -F).

-M, --mountpoint ścieżka
    Jawnie definiuje katalog lub plik montowania. Zob. też --target.

-m, --mtab
    Szuka w /etc/mtab. Wyjście domyślnie następuje w formacie listy (zob. --tree). Wyjście może zawierać opcje montowania z przestrzeni użytkownika.

-N, --task tid
    Używa alternatywnej przestrzeni nazw /proc/<tid>/mountinfo, zamiast domyślnej /proc/self/mountinfo. Jeśli opcję poda się więcej niż raz, wyłączane jest wyjście drzewiaste (zob. opcja --list). Zob. też polecenie unshare(1).

-n, --noheadings
    Nie wypisuje nagłówka.

-O, --options lista
    Ogranicza zbiór wypisywanych systemow plików. W liście można podać kilka opcji, rozdzielając je przecinkiem. Opcje -t i -O łączą się. Niniejsza opcja różni się od -t tym, że każda opcja jest dopasowywana dokładnie; początkowe no nie ma znaczenia globalnego. "no" odnosi się do indywidualnych elementów na liście. Interpretację przedrostka "no" można wyłączyć, poprzedzając go znakiem "+".

-o, --output lista
    Definiuje kolumny wyjściowe. Opcja --help wypisze listę obecnie obsługiwanych kolumn. Kolumna TARGET jest formatowana drzewiasto, jeśli nie podano opcji --list lub --raw.

    Domyślną listę kolumn można rozszerzyć, jeśli listę poda się w formacie +lista (np. findmnt -o +PROPAGATION).

--output-all
    Wypisuje niemal wszystkie dostępne kolumny. Nie są uwzględniane kolumny wymagające --poll.

-P, --pairs
    Tworzy wyjście w postaci par klucz=="wartość". Wszystkie potencjalnie niebezpieczne znaki są cytowane szesnastkowo (\x<kod>). Zob. też opcja --shell.

    Proszę zauważyć, że kolumna SOURCES używa komórek wielowierszowych. W niektórych przypadkach kolumna używa formatowania przypominającego tablicę np. nazwa=("aaa" "bbb" "ccc").

-p, --poll[=lista]
    Monitoruje zmiany w pliku /proc/self/mountinfo. Obsługiwanymi akcjami są: mount, umount, remount i move. W liście można umieścić kilka akcji, rozdzielając je przecinkiem. Domyślnie monitorowane są wszystkie akcje.

    Czas, na jaki --poll będzie blokowało, można ograniczyć opcjami --timeout lub --first-only.

    Standardowe kolumny zawsze korzystają z nowej wersji informacji z pliku mountinfo, poza akcją umount, która korzysta z pierwotnej informacji buforowanej przez findmnt. Tryb poll umożliwia korzystanie z dodatkowych kolumn:

    ACTION
        nazwa akcji: mount, umount, move lub remount; ta kolumna jest domyślnie włączona

    OLD-TARGET
        dostępna dla akcji umount i move

    OLD-OPTIONS
        dostępna dla akcji umount i remount

--pseudo
    Wypisuje tylko pseudosystemy plików.

--shadow
    Wypisuje tylko systemy plików nadmontowane nad innymi systemami plików.

-Q*, --filter wyrażenie
    Wypisuje tylko systemy plików spełniające warunki określone w wyrażeniu.

    Funkcja ta jest EKSPERYMENTALNA. Zob. też scols-filter(5). Oto przykład obejmujący xfs posiadające więcej niż 50% wolnego miejsca:

        findmnt -Q 'INO.USED < INO.AVAIL && FSTYPE == "xfs"'

-R, --submounts
    Wypisuje rekurencyjnie wszystkie podmontowania wybranych systemów plików. Do podmontowań nie są stosowane ograniczenia narzucone opcjami -t, -O, -S, -T i --direction. Wszystkie podmontowania są zawsze wypisywane w kolejności drzewiastej. Opcja włącza domyślnie drzewiasty format wyjścia. Opcja ta nie odnosi skutku z --mtab lub --fstab.

-r, --raw
    Używa surowego formatu wyjściowego. Wszystkie potencjalnie niebezpieczne znaki są cytowane szesnastkowo (\x<kod>).

    Proszę zauważyć, że kolumna SOURCES używa komórek wielowierszowych. W tych przypadkach kolumna może utworzyć kilka łańcuchów w tym samym wierszu.

--real
    Wypisuje tylko rzeczywiste systemy plików.

-S, --source określenie
    Jawnie definiuje źródło montowania. Obsługiwanymi okresleniami są: urządzenie, nr-główny:nr-poboczny, LABEL=etykieta, UUID=uuid, PARTLABEL=etykieta i PARTUUID=uuid.

-s, --fstab
    Wyszukuje w /etc/fstab. Wyjście będzie wypisane w formacie listy (zob. --list).

-T, --target ścieżka
    Definiuje cel montowania. Jeśli ścieżka nie jest plikiem lub katalogiem punktu montowania, findmnt sprawdzi od końca elementy ścieżki, aby uzyskać punkt montowania (funkcja ta jest obsługiwana tylko przy szukaniu w plikach jądra, natomiast nieobsługiwana przy --fstab). Jeśli opisane sprawdzenia elementów ścieżki są niepożądane, a ścieżka dokładnie opisuje punkt montowania, zaleca się korzystać z opcji --mountpoint.

-t, --types lista
    Ogranicza zbiór wypisywanych systemów plików. Można podać kilka typów, rozdzielając je przecinkami. Listę systemów plików można poprzedzić przedrostkiem no, aby określić typy systemów plików, dla których akcja ma nie być podejmowana. Więcej szczegółów w podręczniku mount(8).

--tree
    Włącza wyjście drzewiaste, o ile to tylko możliwe. Opcja jest po cichu ignorowana w tabelach, gdzie nie występują relacje rodzicielskie (np. w fstab).

--shadowed
    Wypisuje tylko systemy plików nadmontowane nad innymi systemami plików.

-U, --uniq
    Ignoruje systemy plików ze zduplikowanymi celami montowania, co w rezultacie pomija nadmontowane punkty montowań.

-u, --notruncate
    Nie przycina tekstu w kolumnach. Domyślnie tekst nie jest przycinany w kolumnach: TARGET, SOURCE, UUID, LABEL, PARTUUID, PARTLABEL. Opcja wyłącza przycinanie tekstu również we wszystkich pozostałych kolumnach.

-v, --nofsroot
    Nie wypisuje [/katalog] w kolumnie SOURCE w przypadku montowań z podpięciem lub podwoluminów btrfs.

-w, --timeout milisekundy
    Określa górny limit czasowy blokowania --poll, w milisekundach.

-x, --verify
    Sprawdza zawartość tablicy montowań. Domyślnie weryfikowana jest możliwość przetwarzania i używania /etc/fstab. Można łączyć tę opcję z --tab-file. Można podać źródło (urządzenie) lub cel (punkt montowania), aby przefiltrować tablicę montowań. Opcja --verbose powoduje wypisywanie przez findmnt większej ilości szczegółów.

--verbose
    Powoduje wypisywanie przez findmnt większej ilości szczegółów (obecnie tylko przy opcji --verify).

--vfs-all
    Przy używaniu z kolumną VFS-OPTIONS powoduje wypisanie wszystkich flag VFS (niezależnych od systemu plików). Opcja jest przeznaczona do audytu, aby wypisać również domyślne opcje montowania wirtualnego systemu plików (VFS) jądra, które zwykle nie są wypisywane.

-y, --shell
    Nazwa kolumny zostanie zmodyfikowana, aby zawierać tylko znaki dopuszczalne jako identyfikatory zmiennych powłoki. Jest to przydatne np. z --pairs. Proszę zauważyć, że funkcja ta była automatycznie włączona dla opcji --pairs w wersji 2.37, ale ze względu na problemy z kompatybilnością, obecnie konieczne jest zażądanie tego zachowania opcją --shell.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

STATUS ZAKOŃCZENIA

Wartość wyjściowa wynosi 0, jeśli jest coś do wyświetlenia lub 1 w przypadku dowolnego błędu (np. nie odnaleziono systemu plików zgodnie z podanymi regułami filtrowania albo nie istnieje ścieżka urządzenia lub punktu montowania).

ŚRODOWISKO

LIBMOUNT_FSTAB=<ścieżka>
    przesłania domyślne położenie pliku fstab

LIBMOUNT_MTAB=<ścieżka>
    przesłania domyślne położenie pliku mtab

LIBMOUNT_DEBUG=all
    włącza komunikaty debugowania biblioteki libmount

LIBSMARTCOLS_DEBUG=all
    włącza wyjście debugowania libsmartcols

LIBSMARTCOLS_DEBUG_PADDING=on
    używa widocznych znaków wypełnienia.

PRZYKŁADY

findmnt --fstab -t nfs
    Wypisuje wszystkie systemy plików NFS zdefiniowane w /etc/fstab.

findmnt --fstab /mnt/foo
    Wypisuje wszystkie systemy plików z /etc/fstab, których katalogiem punktu montowania jest /mnt/foo. Wypisywane są również montowania z podpięciem, w których /mnt/foo jest źródłem.

findmnt --fstab --target /mnt/foo
    Wypisuje wszystkie systemy plików /etc/fstab, w których katalogiem punktu montowania jest /mnt/foo.

findmnt --fstab --evaluate
    Wypisuje wszystkie systemy plików /etc/fstab i konwertuje znaczniki LABEL= i UUID= na rzeczywiste nazwy urządzeń.

findmnt -n --raw --evaluate --output=target LABEL=/boot
    Wypisuje tylko punkt montowania, którego system plików jest zamontowany z etykietą"/boot".

findmnt --poll --mountpoint /mnt/foo
    Monitoruje operacje montowania, odmontowania, przemontowania i przesunięcia na /mnt/foo.

findmnt --poll=umount --first-only --mountpoint /mnt/foo
    Czeka na odmontowanie /mnt/foo.

findmnt --poll=remount -t ext3 -O ro
    Monitoruje operacje przemontowania na tryb tylko do odczytu we wszystkich systemach plików ext3.

AUTORZY

ZOBACZ TAKŻE

fstab(5), mount(8) scols-filter(5)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie findmnt jest częścią pakietu util-linux, który można pobrać ze strony